# Method: projects.locations.jobs.get

- [HTTP request](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/get#body.request_body)
- [Response body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/get#body.aspect)

Gets information about a Job.

### HTTP request

`GET https://run.googleapis.com/v2/{name}`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The full name of the Job. Format: projects/{project}/locations/{location}/jobs/{job}, where {project} can be project id or number. It takes the form `projects/{project}/locations/{location}/jobs/{job}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs#Job`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).